//                                                                  
// Copyright  2011 Lidor Systems.
// All Rights Reserved.
//
// This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND.
// either express or implied.                        
//

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using LidorSystems.IntegralUI.Lists;

namespace IUTV_Hyperlinks
{
    public partial class Form1 : Form
    {
        private int maxLevels = 3;

        public Form1()
        {
            InitializeComponent();

            this.treeView1.ItemHighlightType = ListItemHighlightType.Partial;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.treeView1.SuspendUpdate();

            CreateNode(this.treeView1.RootNode, 0, "");

            this.treeView1.ResumeUpdate();
            this.treeView1.ExpandAll();
        }

        private void CreateNode(LidorSystems.IntegralUI.Lists.TreeNode parentNode, int level, string prefix)
        {
            if (level == maxLevels)
                return;

            LidorSystems.IntegralUI.Lists.TreeNode node = null;
            for (int i = 0; i < 3; i++)
            {
                node = new LidorSystems.IntegralUI.Lists.TreeNode("Node " + prefix + i.ToString());
                node.Content = "<div style=\"hovertextcolor:Blue\"><a href=\"www.lidorsystems.com\">" + node.Text + "</a></div>";
                CreateNode(node, level + 1, prefix + i.ToString());

                parentNode.Nodes.Add(node);
            }
        }

        private void treeView1_ItemObjectClicked(object sender, LidorSystems.IntegralUI.ObjectClickEventArgs e)
        {
            if (e.Object is LinkLabel)
            {
                LinkLabel lLabel = (LinkLabel)e.Object;

                String msgTitle = String.Empty;
                LidorSystems.IntegralUI.Lists.TreeNode node = this.treeView1.GetHoverNode();
                if (node != null)
                    msgTitle = node.Text;

                String linkData = lLabel.Links[0].LinkData.ToString();
                msgTitle += ": " + linkData;

                String msgInfo = "A hyperlink is clicked!\n\n";
                msgInfo += "If you choose OK, browser will open the url contained in this hyperlink."; 

                if (MessageBox.Show(msgInfo, msgTitle, MessageBoxButtons.OKCancel) == DialogResult.OK)
                    System.Diagnostics.Process.Start(linkData);
            }
        }
    }
}